#!/bin/bash

key="/home/michele/aruba_repo";

# Get current directory
this_script_directory=$(cd `dirname $0` && pwd);
parent_directory=$(
  dirname $(
    dirname "$this_script_directory"
  )
)
log_file="$parent_directory/michele/pull/log.txt";

cd /home/michele/michele/image-editor;
eval `ssh-agent -s`;
ssh-add "$key";
echo "Pulled at $(date '+%d/%m/%Y %H:%M:%S') with result:" >> "$log_file";
git pull &>> "$log_file";
eval `ssh-agent -k`;
